PRTCONF(8)

NAME
prtconf - dump SPARC OpenPROM tree

SYNOPSIS
prtconf [ -p ] [ -v ] [ -F ] [ -V ] [ -f device ] [ -P ] [ -D ] [ -h ]

DESCRIPTION
prtconf prints the SPARC OpenPROM tree in a nicely readable format.

prtconf is similar to Solaris and SunOS prtconf program, especially when -p option is provided. If not, it justs prints the tree in a different format, as Linux does not have the notion of internal kernel device tree like SunOS or Solaris has.

OPTIONS

-p, --prom
    Displays information derived from the device tree provided by the firmware (PROM). Actually, even without -p the information is derived from PROM.

-v, --verbose
    Specifies verbose mode. To get full PROM device tree, specify -p -v.

-F, --fbname
    Print PROM device assigned to default framebuffer. If framebuffer is not available, exit with non-zero exit code. This option overrides all other options.

-V, --version
    Print PROM version number, as provided by PROM.

-f device, --promdev device
    Use device instead of default /dev/openprom to read PROM device tree.

-P, --pseudo
    Does nothing. For compatibility with Solaris.

-D, --drvname
    Does nothing. For compatibility with Solaris.

-h, --help
    Show usage.

BUGS
Mode when -p is not specified does not match Solaris output fully. But it would be too difficult to emulate it in Linux, and I think not worth the trouble.

AUTHOR
prtconf has been written by Jakub Jelinek <jj@ultra.linux.cz>.

AVAILABILITY
prtconf is available for anonymous download at http://vger.samba.org/cgi-bin/cvsweb/prtconf/?cvsroot=vger.

SEE ALSO
/proc/openprom/, /dev/openprom, eeprom(8)